// src/composables/useEnv.js
import { ref, onMounted } from "vue";

export function useEnv() {
    const isWeChat = ref(false);

    onMounted(() => {
        const userAgent = navigator.userAgent.toLowerCase();
        isWeChat.value = userAgent.includes("micromessenger");
    });

    return {
        isWeChat,
    };
}
